---
title: ':-moz-first-node'
slug: 'Web/CSS/:-moz-first-node'
tags:
  - CSS
  - 'CSS:Mozilla Extensions'
  - NeedsCompatTable
  - Non-standard
  - Pseudo-class
  - Reference
  - Selector
---
<div>{{Non-standard_header}}{{CSSRef}}</div>

<p>The <strong><code>:-moz-first-node</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> is a <a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla extension</a> that represents any element that is the first child node of some other element. It differs from {{Cssxref(":first-child")}} because it does not match a first-child element with (non-whitespace) text before it.</p>

<p class="note"><strong>Note:</strong> Any whitespace at the start of an element is ignored for the determination of <code>:-moz-first-node</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">:-moz-first-node
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="CSS">CSS</h3>

<pre class="brush:css notranslate">span:-moz-first-node {
  background-color: lime;
}
</pre>

<h3 id="HTML">HTML</h3>

<pre class="brush:html notranslate">&lt;p&gt;
  &lt;span&gt;This matches!&lt;/span&gt;
  &lt;span&gt;This doesn't match.&lt;/span&gt;
&lt;/p&gt;

&lt;p&gt;
  Blahblah.
  &lt;span&gt;This doesn't match because it's preceded by text.&lt;/span&gt;
&lt;/p&gt;
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref(":-moz-last-node")}}</li>
 <li>{{cssxref(":first-child")}}</li>
</ul>
